/* $Id: forms.css,v 1.3 2009/08/12 08:37:42 johnalbin Exp $ */

/**
 * @file
 * Form Styling
 */


.form-item,
.form-checkboxes,
.form-radios /* Wrapper for a form element (or group of form elements) and its label */ {
  margin: 1em 0;
}

.form-item input.error,
.form-item textarea.error,
.form-item select.error /* Highlight the form elements that caused a form submission error */ {
  border: 2px solid #c00;
}

.form-item label /* The label for a form element */ {
  clear: both;
  display: block;
  font-weight: bold;
  padding-bottom: 7px;
}

.form-item label.option /* The label for a radio button or checkbox */ {
  display: inline;
  font-weight: normal;
}

.form-item .form-text,
.form-item select,
.form-item textarea{
	font-size: 18px;
	padding: 7px 10px;
	border: 1px solid #ccc;
}
#currency-form .form-item select {
  font-size: 14px;
	
}	

.form-item .form-text:focus,
.form-item select:focus,
.form-item textarea:focus{
	border: 1px solid #d00;
}

* html #content-area .form-item .form-text {
   width: expression( document.body.clientWidth > 520 ? "521px" : "auto" ); /* sets max-width for IE */
}
#content-area .form-item .form-text {
   max-width: 520px; /* this sets the max-width value for all standards-compliant browsers */
}

.form-required /* The part of the label that indicates a required field */ {
  color: #c00;
}

.form-item .description /* The descriptive help text (separate from the label) */ {
  font-size: 10px;
  padding-top: 5px;
  color: #777;
}

.form-checkboxes .form-item,
.form-radios .form-item /* Pack groups of checkboxes and radio buttons closer together */ {
  margin: 0.4em 0;
}

.form-submit /* The submit button */ {
	clear: both;
	font-family: "HelveticaNeue-CondensedBold","HelveticaNeueBoldCondensed","HelveticaNeue-Bold-Condensed","Helvetica Neue Bold Condensed","HelveticaNeueBold","HelveticaNeue-Bold","Helvetica Neue Bold","HelveticaNeue","Helvetica Neue",'TeXGyreHerosCnBold',"Helvetica","Tahoma","Geneva","Arial Narrow","Arial",sans-serif;
	font-size: 14px;
	font-weight: bold;
	line-height: 14px;
	letter-spacing: -1px;
	text-transform: uppercase;
	background: #000;
	color: #fff;
	border: none;
	padding: 7px 10px;
	margin: 10px 0;
}

fieldset{ border: 1px solid #ccc; }

.container-inline div,
.container-inline label /* Inline labels and form divs */ {
  display: inline;
}

.tips /* Tips for Drupal's input formats */ {
}


/*
 * Search (search-theme-form.tpl.php)
 */
#search-box /* Wrapper for the search form */ {
}

#edit-search-theme-form-1-wrapper label /* Label that says "Search this site:" */ {
  display: none;
}


/*
 * Search (search-block-form.tpl.php)
 */
#search-block-form /* Wrapper for the search form */ {
}

#edit-search-block-form-1-wrapper label /* Label that says "Search this site:" */ {
  display: none;
}


/*
 * Drupal's default login form block
 */
#user-login-form {
  text-align: left; /* LTR */
}


/*
 * OpenID
 *
 * The default styling for the OpenID login link seems to assume Garland's
 * styling of list items.
 */

#user-login-form ul /* OpenID creates a new ul above the login form's links. */ {
  margin-bottom: 0; /* Position OpenID's ul next to the rest of the links. */
}

#user-login-form li.openid-link /* The "Log in using OpenID" link. */ {
  margin-top: 1em;
  margin-left: -20px; /* LTR */ /* Un-do some of the padding on the ul list. */
}

#user-login-form li.user-link /* The "Cancel OpenID login" link. */ {
  margin-top: 1em;
}

#user-login ul {
  margin: 1em 0;
}

#user-login li.openid-link,
#user-login li.user-link /* The OpenID links on the /user form. */ {
  margin-left: -2em; /* LTR */ /* Un-do all of the padding on the ul list. */
}


/*
 * Drupal admin tables
 *
 * We overrode these styles in html-elements.css, but restore them for the admin
 * section of the site.
 */

form tbody {
  border-top: 1px solid #ccc;
}

form th,
form thead th {
  text-align: left; /* LTR */
  padding-right: 1em; /* LTR */
  border-bottom: 3px solid #ccc;
}

form tbody th {
  border-bottom: 1px solid #ccc;
}



/*
 * Amazon Store Form
 */

#amazon-store-search-form,
#amazon-store-sort-form{
	clear: both;
	margin: 0.5em 0;
	padding: 0.3em 0 0.5em;
	border-top: 1px solid #ccc;
}
#amazon-store-search-form .form-item{
	width: 32%;
	float: left;
}
#amazon-store-search-form .form-submit{
	clear: none;
	float: right;
	margin-right: 25px;
	position: relative;
	top: 16px;
}
#amazon-store-search-form .form-item .form-text,
#amazon-store-search-form .form-item select{
	font-size: 12px;
	padding: 7px;
	width: 100%;
}

#amazon-store-sort-form label{
	float: left;
	width: 40%;
	padding: 5px 10px 0 0;
}
#amazon-store-sort-form select{
	font-size: 11px;
	float: left;
	width: 50%;
	padding: 7px;
}
